Lavalite package that provides contact management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `agency/contact`.

    "agency/contact": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Agency\Contact\Providers\ContactServiceProvider::class,

And also add it to alias

    'Contact'  => Agency\Contact\Facades\Contact::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Agency\\ContactTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Agency\Contact\Providers\ContactServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Agency\Contact\Providers\ContactServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Agency\Contact\Providers\ContactServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/contact/{modulename}

**User**

    http://path-to-route-folder/user/contact/{modulename}

**Public**

    http://path-to-route-folder/contacts


### API endpoints

**List**

    http://path-to-route-folder/api/user/contact/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/contact/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/contact/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/contact/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/contact/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/contact/{modulename}/{slug}
    METHOD: GET